## ros-ardent-rviz-rendering-tests 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_rendering_tests)

# TODO(wjwood): remove when windows build is fixed
if(DEFINED ENV{RVIZ_BUILD_ON_WINDOWS_OVERRIDE})
  set(RVIZ_BUILD_ON_WINDOWS_OVERRIDE "$ENV{RVIZ_BUILD_ON_WINDOWS_OVERRIDE}")
endif()
if(WIN32 AND NOT DEFINED RVIZ_BUILD_ON_WINDOWS_OVERRIDE)
  message(STATUS "${PROJECT_NAME} is not supported on Windows, skipping...")
  return()
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()

find_package(ament_cmake REQUIRED)

find_package(rviz_rendering REQUIRED)
# Adds shallow folders containing ogre_media such as meshes and scripts to Rviz
# so that they can be found at runtime. Requires rviz_rendering.
register_rviz_ogre_media_exports(
  DIRECTORIES
    "ogre_media_resources/scripts"
    "ogre_media_resources/meshes"
)

if(BUILD_TESTING)
  # TODO(Martin-Idel-SI): replace this with ament_lint_auto() and/or add the copyright linter back
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  ament_cppcheck()
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_index_cpp REQUIRED)

  # TODO(wjwwood): reenable when this test is can run on CI
  # ament_add_gtest(test_rviz_rendering_tests test/test_rviz_ogre_media_exports.cpp)
  # if(TARGET test_rviz_rendering_tests)
  #   target_include_directories(test_rviz_rendering_tests PUBLIC src/rviz_rendering_tests)
  #   target_link_libraries(test_rviz_rendering_tests ament_index_cpp::ament_index_cpp)
  # endif()
endif()

ament_package()

=== debian/changelog ===
ros-ardent-rviz-rendering-tests (2.0.0-5xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- William Woodall <william@osrfoundation.org>  Sat, 09 Dec 2017 09:13:39 -0000

=== debian/control ===
Source: ros-ardent-rviz-rendering-tests
Section: misc
Priority: extra
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-ardent-ament-cmake, ros-ardent-ament-cmake-cppcheck, ros-ardent-ament-cmake-cpplint, ros-ardent-ament-cmake-gtest, ros-ardent-ament-cmake-lint-cmake, ros-ardent-ament-cmake-uncrustify, ros-ardent-ament-index-cpp, ros-ardent-rviz-rendering, ros-ardent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-ardent-rviz-rendering-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-ardent-rviz-rendering, ros-ardent-ros-workspace
Description: Example plugin for RViz - documents and tests RViz plugin development

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/ardent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/ardent" \
		-DAMENT_PREFIX_PATH="/opt/ros/ardent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-ardent-rviz-rendering-tests//opt/ros/ardent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_install
